Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 686140 - sys-libs/glibc-2.29-r2: lots of "stack smashing detected" errors on sparc
Summary: sys-libs/glibc-2.29-r2: lots of "stack smashing detected" errors on sparc
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-17 08:28 UTC by Rolf Eike Beer
Modified: 2019-09-01 21:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2019-05-17 08:28:34 UTC
After I upgraded to glibc-2.29-r2 I get "stack smashing detected" errors in a lot of places, critical were these 2:

-calling fsck during boot (it called fsck.ext*, which seems to work), these failures causes boot to fail
-ssh login

Also many of my remote nagios checks failed, I'm not entirely sure what caused this, but it could have been ssh client failing, too.

After downgrading to 2.28-r6 things worked again immediately.
Comment 1 Sergei Trofimovich gentoo-dev 2019-05-18 08:46:27 UTC
Sounds like a glibc bug. Is fsck a statically linked file by chance? I'd like to reproduce it in qemu-user or qemu-system and debug a bit. Wonder which binary would be easiest to debug.
Comment 2 Rolf Eike Beer 2019-05-18 15:59:25 UTC
Nope, fsck is dynamically linked.
Comment 3 Sergei Trofimovich gentoo-dev 2019-08-28 18:40:50 UTC
I failed to reproduce it on defaults.

Can you post full `emerge --info`? I'll try to reproduce locally with a closer to yours' environment.
Comment 4 Matt Turner gentoo-dev 2019-09-01 21:58:44 UTC
Not sure what's going on here. I cannot reproduce. glibc-2.29-r2 looks good on catbus.